Subject: Bad file descriptor
From: Ignasi Villagrasa <[email-masked]>
To: Cygwin <[email-masked]>
Date: Mon, 19 Nov 2001 15:42:37 +0000

Hi,

Hello everyone,

I got an errno=9 trying to run a program I migrate from Watcom C++ to 
Cygwin.

errno.h documents error number 9 as a Bad file descriptor error.

I've never met an number 9 error, and don't know what's causing it.

The function I try to run is  fp = fopen(name, "rt").

with /cygdrive/d/mc\viao\debug.ini  as the name. The file obviously exists.

/cygdrive/d comes from a call to getcwd(NULL, 0).

If I run mount in the development computer, I get

C:\cygwin\lib on /usr/lib type system (binmode)
c:\cygwin\bin on /bin type user (textmode)
c:\cygwin\bin on /usr/bin type system (binmode)
C:\cygwin on / type system (binmode)
s:\client on /client type user (textmode)
s:\comun on /comun type user (textmode)
c: on /cygdrive/c type user (binmode,noumount)
d: on /cygdrive/d type user (binmode,noumount)
e: on /cygdrive/e type user (binmode,noumount)
r: on /cygdrive/r type user (binmode,noumount)
s: on /cygdrive/s type user (binmode,noumount)
t: on /cygdrive/t type user (binmode,noumount)

Thanks in advance, Ignasi Villagrasa.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/